Skip to main content
GET
Get Execution History

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trigger_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Query Parameters

page
integer
default:1

Page number

Required range: 1 <= x <= 1000000
page_size
integer
default:50

Number of executions per page

Required range: 1 <= x <= 100
status
string | null

Filter by execution status (success, failed, timeout, cancelled, skipped)

start_time
string<date-time> | null

Filter executions after this time

end_time
string<date-time> | null

Filter executions before this time

Response

Successful Response

Response model for paginated execution history.

executions
TriggerExecutionResponse · object[]
required
has_next
boolean
required
page
integer
required
page_size
integer
required
total
integer
required